API 参考商品目录

商品目录(每 1 分钟更新一次)

GEThttps://api.astrum.shop/v1/catalog
权限范围 catalog:read

商品及其交付给客户的方式(delivery_methods):USDT 价格、订阅时长以及是否有库存。

商品有多种交付方式时,请在订单中指定 delivery_method。

响应

products
array

通过 API 销售的商品。

↳product_id
string

商品编号,在 POST /v1/orders 中传入。

↳product_name
string | null

商品名称。

↳delivery_methods
array

商品交付给客户的方式及价格。有多种方式时,请在订单中指定 delivery_method。

↳delivery_method
string

商品交付给客户的方式:

key
卡密或兑换码,由客户自行激活
activation
在客户账号上开通订阅,需要客户信息
card_payment
在客户账号上开通订阅,由我方银行卡代付,需要客户的邮箱
account
现成账号
new_account
我们提供的新账号,含邮箱
↳price_usdt
string

批发价,即从余额中扣除的金额。

↳subscription_days
integer | null

订阅时长;null 表示不是订阅。

↳in_stock
boolean

true 表示当前有库存。

所有接口通用的错误,详见「错误码」章节:

10001 invalid_key10002 key_scope_missing10003 ip_not_allowed10004 browser_not_allowed10005 account_suspended20001 too_many_requests90002 api_disabled90001 internal_error
测试 USDT,
密钥 ask_test_…
curl https://api.astrum.shop/v1/catalog \
  -H "Authorization: Bearer $ASTRUM_KEY"